Index: cards/CLICdet/CLICdet_BTagging.tcl
===================================================================
--- cards/CLICdet/CLICdet_BTagging.tcl	(revision a1b71dc01fcbc2712c59c5fecaf7252602fc4635)
+++ cards/CLICdet/CLICdet_BTagging.tcl	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
@@ -382,2 +382,82 @@
 	source CLICdet/CLICdet_BTag_90.tcl
 }
+
+########################
+# inclusive clustering
+########################
+
+module BTagging BTaggingWP50_R05_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
+ set BitNumber 0                                                                               
+ source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTaggingWP70_R05_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
+ set BitNumber 1                                                                               
+ source CLICdet/CLICdet_BTag_70.tcl                                                                    
+}                                                                                              
+module BTagging BTaggingWP90_R05_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                         
+ set BitNumber 2                                                                               
+ source CLICdet/CLICdet_BTag_90.tcl                                                                    
+}                                                                                              
+module BTagging BTaggingWP50_R07_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
+ set BitNumber 0                                                                               
+ source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTaggingWP70_R07_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
+ set BitNumber 1                                                                               
+ source CLICdet/CLICdet_BTag_70.tcl                                                                    
+}                                                                                              
+module BTagging BTaggingWP90_R07_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                         
+ set BitNumber 2                                                                               
+ source CLICdet/CLICdet_BTag_90.tcl                                                                    
+}                                                                                              
+module BTagging BTaggingWP50_R10_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                         
+ set BitNumber 0                                                                               
+ source CLICdet/CLICdet_BTag_50.tcl                                                                    
+ }                                                                                             
+module BTagging BTaggingWP70_R10_inclusive {                                                   
+ set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                         
+ set BitNumber 1                                                                               
+ source CLICdet/CLICdet_BTag_70.tcl                                                                    
+}
+module BTagging BTaggingWP90_R10_inclusive {
+ set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive
+ set BitNumber 2
+ source CLICdet/CLICdet_BTag_90.tcl
+}
+module BTagging BTaggingWP50_R12_inclusive {
+ set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
+ set BitNumber 0
+ source CLICdet/CLICdet_BTag_50.tcl
+ }
+module BTagging BTaggingWP70_R12_inclusive {
+ set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
+ set BitNumber 1
+ source CLICdet/CLICdet_BTag_70.tcl
+}
+module BTagging BTaggingWP90_R12_inclusive {
+ set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
+ set BitNumber 2
+ source CLICdet/CLICdet_BTag_90.tcl
+}
+module BTagging BTaggingWP50_R15_inclusive {
+ set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
+ set BitNumber 0
+ source CLICdet/CLICdet_BTag_50.tcl
+ }
+module BTagging BTaggingWP70_R15_inclusive {
+ set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
+ set BitNumber 1
+ source CLICdet/CLICdet_BTag_70.tcl
+}
+module BTagging BTaggingWP90_R15_inclusive {
+ set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
+ set BitNumber 2
+ source CLICdet/CLICdet_BTag_90.tcl
+}
Index: cards/CLICdet/CLICdet_JetFlavorAssociation.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetFlavorAssociation.tcl	(revision a1b71dc01fcbc2712c59c5fecaf7252602fc4635)
+++ cards/CLICdet/CLICdet_JetFlavorAssociation.tcl	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
@@ -309,2 +309,63 @@
 
 }
+
+module JetFlavorAssociation JetFlavorAssociation_R05_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_R07_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_R10_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_R12_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
+module JetFlavorAssociation JetFlavorAssociation_R15_inclusive {
+
+    set PartonInputArray Delphes/partons
+    set ParticleInputArray Delphes/allParticles
+    set ParticleLHEFInputArray Delphes/allParticlesLHEF
+    set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
+
+    set DeltaR 0.5
+    set PartonPTMin 1.0
+    set PartonEtaMax 2.5
+
+}
Index: cards/CLICdet/CLICdet_TauTagging.tcl
===================================================================
--- cards/CLICdet/CLICdet_TauTagging.tcl	(revision a1b71dc01fcbc2712c59c5fecaf7252602fc4635)
+++ cards/CLICdet/CLICdet_TauTagging.tcl	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
@@ -503,2 +503,107 @@
  } 
 
+
+module TauTagging TauTagging_R05_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_R07_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_R10_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_R12_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
+
+module TauTagging TauTagging_R15_inclusive {
+ set ParticleInputArray Delphes/allParticles
+ set PartonInputArray Delphes/partons
+ set JetInputArray FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive
+ set DeltaR 0.5
+ set TauPTMin 1.0
+ set TauEtaMax 4.0
+ add EfficiencyFormula {0} {0.03} 
+ add EfficiencyFormula {15} { 
+ (pt < 5) * (0.0) +
+ (pt >=5 && pt < 12.5) * (0.84) +
+	(pt >=12.5 && pt < 25) * (0.79) +
+	(pt >=25 && pt < 50) * (0.74) +
+	(pt >=50 && pt < 75) * (0.66) +
+	(pt >=75 && pt < 125) * (0.61) +
+	(pt >=125 && pt < 250) * (0.51) +
+	(pt >=250 ) * (0.36)
+ } 
+ } 
+
Index: cards/delphes_card_CLICdet.tcl
===================================================================
--- cards/delphes_card_CLICdet.tcl	(revision a1b71dc01fcbc2712c59c5fecaf7252602fc4635)
+++ cards/delphes_card_CLICdet.tcl	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
@@ -115,6 +115,13 @@
 	JetFlavorAssociation_R15N4
 	JetFlavorAssociation_R15N5
-	JetFlavorAssociation_R15N6
-
+        JetFlavorAssociation_R15N6
+
+        JetFlavorAssociation_R05_inclusive
+        JetFlavorAssociation_R07_inclusive
+        JetFlavorAssociation_R10_inclusive
+        JetFlavorAssociation_R12_inclusive
+        JetFlavorAssociation_R15_inclusive
+
+    
 	BTaggingWP50_R05N2
 	BTaggingWP70_R05N2
@@ -192,7 +199,54 @@
 	BTaggingWP70_R15N6
 	BTaggingWP90_R15N6
+    BTaggingWP50_R05_inclusive
+    BTaggingWP70_R05_inclusive
+    BTaggingWP90_R05_inclusive
+    BTaggingWP50_R07_inclusive
+    BTaggingWP70_R07_inclusive
+    BTaggingWP90_R07_inclusive
+    BTaggingWP50_R10_inclusive
+    BTaggingWP70_R10_inclusive
+    BTaggingWP90_R10_inclusive
+    BTaggingWP50_R12_inclusive
+    BTaggingWP70_R12_inclusive
+    BTaggingWP90_R12_inclusive
+    BTaggingWP50_R15_inclusive
+    BTaggingWP70_R15_inclusive
+    BTaggingWP90_R15_inclusive
 
     
     TauTagging_R05N2
+    TauTagging_R05N3
+    TauTagging_R05N4
+    TauTagging_R05N5
+    TauTagging_R05N6
+    TauTagging_R07N2
+    TauTagging_R07N3
+    TauTagging_R07N4
+    TauTagging_R07N5
+    TauTagging_R07N6
+    TauTagging_R10N2
+    TauTagging_R10N3
+    TauTagging_R10N4
+    TauTagging_R10N5
+    TauTagging_R10N6
+    TauTagging_R12N2
+    TauTagging_R12N3
+    TauTagging_R12N4
+    TauTagging_R12N5
+    TauTagging_R12N6
+    TauTagging_R15N2
+    TauTagging_R15N3
+    TauTagging_R15N4
+    TauTagging_R15N5
+    TauTagging_R15N6
+
+    TauTagging_R05_inclusive
+    TauTagging_R07_inclusive
+    TauTagging_R10_inclusive
+    TauTagging_R12_inclusive
+    TauTagging_R15_inclusive
+
+
 
     ScalarHT
